| Flutter Impeller |

Classes | Functions
std Namespace Reference

## Classes
struct | equal_to< impeller::Glyph >
struct | hash< impeller::DepthAttachmentDescriptor >
struct | hash< impeller::Font::Metrics >
struct | hash< impeller::Glyph >
struct | hash< impeller::StencilAttachmentDescriptor >
struct | hash< impeller::UniqueID >
struct | less< impeller::Glyph >
struct | less< impeller::UniqueID >

## Functions
std::ostream & | operator<< (std::ostream &out, const impeller::Color &c)
std::ostream & | operator<< (std::ostream &out, const impeller::Half &p)
std::ostream & | operator<< (std::ostream &out, const impeller::HalfVector2 &p)
std::ostream & | operator<< (std::ostream &out, const impeller::HalfVector3 &p)
std::ostream & | operator<< (std::ostream &out, const impeller::HalfVector4 &p)
std::ostream & | operator<< (std::ostream &out, const impeller::Matrix &m)
template<class T >
std::ostream & | operator<< (std::ostream &out, const impeller::TPoint< T > &p)
std::ostream & | operator<< (std::ostream &out, const impeller::Quaternion &q)
template<class T >
std::ostream & | operator<< (std::ostream &out, const impeller::TRect< T > &r)
template<class T >
std::ostream & | operator<< (std::ostream &out, const impeller::TSize< T > &s)
std::ostream & | operator<< (std::ostream &out, const impeller::Vector3 &p)
std::ostream & | operator<< (std::ostream &out, const impeller::Vector4 &p)
std::ostream & | operator<< (std::ostream &out, const impeller::HandleGLES &handle)

## Function Documentation

## ◆ operator<<() [1/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Color & | c
| ) |  |
| inline

Definition at line 926 of file color.h.

926 {
927 out << "(" << c.red << ", " << c.green << ", " << c.blue << ", " << c.alpha
928 << ")";
929 return out;
930 }

References impeller::Color::alpha, impeller::Color::blue, impeller::Color::green, and impeller::Color::red.

## ◆ operator<<() [2/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Half & | p
| ) |  |
| inline

Definition at line 163 of file half.h.

163 {
164 out << "(" << static_cast<impeller::Scalar>(p.x) << ")";
165 return out;
166 }

References impeller::Half::x.

## ◆ operator<<() [3/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::HalfVector2 & | p
| ) |  |
| inline

Definition at line 168 of file half.h.

169 {
170 out << "(" << static_cast<impeller::Scalar>(p.x) << ", "
171 << static_cast<impeller::Scalar>(p.y) << ")";
172 return out;
173 }

References impeller::HalfVector2::x, and impeller::HalfVector2::y.

## ◆ operator<<() [4/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::HalfVector3 & | p
| ) |  |
| inline

Definition at line 175 of file half.h.

176 {
177 out << "(" << static_cast<impeller::Scalar>(p.x) << ", "
178 << static_cast<impeller::Scalar>(p.y) << ", "
179 << static_cast<impeller::Scalar>(p.z) << ")";
180 return out;
181 }

References impeller::HalfVector3::x, impeller::HalfVector3::y, and impeller::HalfVector3::z.

## ◆ operator<<() [5/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::HalfVector4 & | p
| ) |  |
| inline

Definition at line 183 of file half.h.

184 {
185 out << "(" << static_cast<impeller::Scalar>(p.x) << ", "
186 << static_cast<impeller::Scalar>(p.y) << ", "
187 << static_cast<impeller::Scalar>(p.z) << ", "
188 << static_cast<impeller::Scalar>(p.w) << ")";
189 return out;
190 }

References impeller::HalfVector4::w, impeller::HalfVector4::x, impeller::HalfVector4::y, and impeller::HalfVector4::z.

## ◆ operator<<() [6/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::HandleGLES & | handle
| ) |  |
| inline

Definition at line 94 of file handle_gles.h.

95 {
96 out << HandleTypeToString(handle.type) << "(";
97 if (handle.IsDead()) {
98 out << "DEAD";
99 } else {
100 if (handle.name.has_value()) {
101 out << handle.name.value().id;
102 } else {
103 out << "UNNAMED";
104 }
105 }
106 out << ")";
107 return out;
108 }

References impeller::HandleTypeToString(), impeller::HandleGLES::IsDead(), impeller::HandleGLES::name, and impeller::HandleGLES::type.

## ◆ operator<<() [7/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Matrix & | m
| ) |  |
| inline

Definition at line 619 of file matrix.h.

619 {
620 out << "(" << std::endl << std::fixed;
621 for (size_t i = 0; i < 4u; i++) {
622 for (size_t j = 0; j < 4u; j++) {
623 out << std::setw(15) << m.e[j][i] << ",";
624 }
625 out << std::endl;
626 }
627 out << ")";
628 return out;
629 }

References impeller::Matrix::e.

## ◆ operator<<() [8/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Quaternion & | q
| ) |  |
| inline

Definition at line 94 of file quaternion.h.

95 {
96 out << "(" << q.x << ", " << q.y << ", " << q.z << ", " << q.w << ")";
97 return out;
98 }

References impeller::Quaternion::w, impeller::Quaternion::x, impeller::Quaternion::y, and impeller::Quaternion::z.

## ◆ operator<<() [9/13]

template<class T >

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::TPoint< T > & | p
| ) |  |
| inline

Definition at line 342 of file point.h.

343 {
344 out << "(" << p.x << ", " << p.y << ")";
345 return out;
346 }

References impeller::TPoint< T >::x, and impeller::TPoint< T >::y.

## ◆ operator<<() [10/13]

template<class T >

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::TRect< T > & | r
| ) |  |
| inline

Definition at line 789 of file rect.h.

790 {
791 out << "(" << r.GetOrigin() << ", " << r.GetSize() << ")";
792 return out;
793 }

References impeller::TRect< T >::GetOrigin(), and impeller::TRect< T >::GetSize().

## ◆ operator<<() [11/13]

template<class T >

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::TSize< T > & | s
| ) |  |
| inline

Definition at line 149 of file size.h.

150 {
151 out << "(" << s.width << ", " << s.height << ")";
152 return out;
153 }

References impeller::TSize< T >::height, and impeller::TSize< T >::width.

## ◆ operator<<() [12/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Vector3 & | p
| ) |  |
| inline

Definition at line 325 of file vector.h.

325 {
326 out << "(" << p.x << ", " << p.y << ", " << p.z << ")";
327 return out;
328 }

References impeller::Vector3::x, impeller::Vector3::y, and impeller::Vector3::z.

## ◆ operator<<() [13/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Vector4 & | p
| ) |  |
| inline

Definition at line 330 of file vector.h.

330 {
331 out << "(" << p.x << ", " << p.y << ", " << p.z << ", " << p.w << ")";
332 return out;
333 }

References impeller::Vector4::w, impeller::Vector4::x, impeller::Vector4::y, and impeller::Vector4::z.

impeller::Quaternion::z
Scalar z
Definition: quaternion.h:19
impeller::Half::x
InternalHalf x
Definition: half.h:42
impeller::TPoint::y
Type y
Definition: point.h:31
impeller::Scalar
float Scalar
Definition: scalar.h:18
impeller::HalfVector2::x
InternalHalf x
Definition: half.h:132
impeller::HalfVector3::y
InternalHalf y
Definition: half.h:105
impeller::Quaternion::w
Scalar w
Definition: quaternion.h:20
impeller::Color::alpha
Scalar alpha
Definition: color.h:142
impeller::HandleGLES::name
std::optional< UniqueID > name
Definition: handle_gles.h:38
impeller::HandleGLES::IsDead
constexpr bool IsDead() const
Determines if the handle is dead.
Definition: handle_gles.h:54
impeller::TRect::GetOrigin
constexpr TPoint< Type > GetOrigin() const
Returns the upper left corner of the rectangle as specified by the left/top or x/y values when it was...
Definition: rect.h:314
impeller::Color::green
Scalar green
Definition: color.h:132
impeller::Vector3::x
Scalar x
Definition: vector.h:23
impeller::HandleTypeToString
std::string HandleTypeToString(HandleType type)
Definition: handle_gles.cc:11
impeller::Quaternion::x
Scalar x
Definition: quaternion.h:17
impeller::Matrix::e
Scalar e[4][4]
Definition: matrix.h:40
impeller::HalfVector4::x
InternalHalf x
Definition: half.h:63
impeller::HalfVector3::x
InternalHalf x
Definition: half.h:104
impeller::HandleGLES::type
HandleType type
Definition: handle_gles.h:37
impeller::Color::red
Scalar red
Definition: color.h:127
impeller::Vector3::z
Scalar z
Definition: vector.h:25
impeller::Vector4::x
Scalar x
Definition: vector.h:235
impeller::HalfVector4::y
InternalHalf y
Definition: half.h:64
impeller::Vector3::y
Scalar y
Definition: vector.h:24
impeller::TSize::width
Type width
Definition: size.h:22
impeller::HalfVector4::z
InternalHalf z
Definition: half.h:65
impeller::TPoint::x
Type x
Definition: point.h:30
impeller::Vector4::w
Scalar w
Definition: vector.h:238
impeller::TRect::GetSize
constexpr TSize< Type > GetSize() const
Returns the size of the rectangle which may be negative in either width or height and may have been c...
Definition: rect.h:321
impeller::Vector4::y
Scalar y
Definition: vector.h:236
impeller::HalfVector3::z
InternalHalf z
Definition: half.h:106
impeller::Quaternion::y
Scalar y
Definition: quaternion.h:18
impeller::TSize::height
Type height
Definition: size.h:23
impeller::Color::blue
Scalar blue
Definition: color.h:137
impeller::Vector4::z
Scalar z
Definition: vector.h:237
impeller::HalfVector4::w
InternalHalf w
Definition: half.h:66
impeller::HalfVector2::y
InternalHalf y
Definition: half.h:133